Subject: Re: [MOBILE-IP] all IP on 3gpp: MIPv6

From: Basavaraj Patil <[email-masked]>
Date: Thu, 1 Feb 2001 14:59:16 -0600

I am not sure of the reasons for not including MobileIPv6 as being supported
in 3GPP R5. Hopefully someone from 3GPP can shed some light on this.
I do believe that ensuring MobileIPv6 support in the architecture (R5) will
enable the UMTS network to support users/clients whose end-devices
have mobile-ip built in. If MobileIPv6 does indeed become commonly
implemented on end-systems they would be able to take advantage of
MIPv6 support in UMTS R5 networks.

-Basavaraj

> -----Original Message-----
> From: ext Pietro Biasci (TEI) [mailto:[email-masked]]
> Sent: Friday, January 19, 2001 7:05 PM
> To: [email-masked]
> Subject: Re: [MOBILE-IP] all IP on 3gpp: MIPv6
> Importance: High
>
>
> Hi all,
>
> While 3GPP selected IPv6 as mandatory for IP Multimedia, it
> seems that 3GPP IMS architectures are neglecting for the moment
> MIPv6 (see for example 3G TS 23.228), I think for some
> different reasons (such as SIP location and mobility
> management built-in features), but I cannot completely understand why.
>
> In fact for the 3GPP Release 5, I was not able to find in
> 3GPP recent discussions about MIPv6 or TR/TS about
> that...MIPv6 seems out of scope, but I'm not sure it's a so
> good technical decision, if it is.
>
> Are you (or anybody of the list) able to clearly explain 3GPP
> technical viewpoint about MIPv6 in a Multimedia environment ?
>
> Interesting is also 3GPP2 point of view and timeframe.
>
> BR, /Pietro
>
> ERICSSON///
> Pietro Biasci
> UMTS IP Networking
> E-mail *        [email-masked]
>
> -----Original Message-----
> From: Dolan, Michael F (Mike) [mailto:[email-masked]]
> Sent: Friday, January 19, 2001 6:28 PM
> To: [email-masked]
> Subject: Re: [MOBILE-IP] all IP on 3gpp
>
>
> Jaime,
>
> Hi!  I am the vice-chair of the 3GPP2 All-IP Group.
>
> Please be assured that 3GPP2 certainly intends to support IPv6. That
> decision is already written into our adopted Requirements
> document.  Mobile
> IP and specifically Mobile IPv6 have been at the core of many
> discussions
> for the last year or more, and are a basic tenet in our ongoing work.
>
> 3GPP2 already has IPv4 (and Mobile IPv4) built into its
> standards.  Members
> of 3GPP2 TSG-P (Tom Hiller, Pat Calhoun, Pete McCann, Mark
> Lipford, and
> others) have been working closely with the Mobile IP WG for
> some time now to
> add needed extensions to Mobile IPv4 to support wireless environments.
> Since Mobile IPv4 is already a foundation block of 3GPP2
> systems, 3GPP2
> cannot abandon IPv4.  Instead, an evolutionary path that
> moves 3GPP2 systems
> as quickly as possible to IPv6 is a hot work item.
>
> Your list of issues is a good one.  It matches many similar
> lists held by
> others.
>
> I suggest that if you (or others) wish to continue this
> discussion, please
> contact me directly.  That will help keep this email list for
> more technical
> topics.
>
> Thanks for your question.
>
> Have a good day,
> Mike Dolan
> 3GPP2 All-IP Vice-Chair
> Lucent Technologies
> [email-masked] <mailto:[email-masked]>
> PH  +1.630.979.1033
> Mob +1.630.697.3549
>
>
>
> -----Original Message-----
> From: Jaime Dias [mailto:[email-masked]]
> Sent: Thursday, January 18, 2001 6:02 AM
> To: [email-masked]
> Subject: [MOBILE-IP] all IP on 3gpp
>
>
> Hi!
>
> I'm studying scenarios for the ALL IP in an UMTS environment.
> I've already see some approach with Cellular IPv6 and/or
> MIPv6, but that's
> where the confusion begin:
>     Some approach byu 3G.IP refers about an MIP to the RNC.
>     Until now the IP between the UE and the RNC are
> tunnelled, so, where the
> Cellular IP take place?
>
> In respect of the advantages of an IPv6 ALL IP, "I think"
> that it don't rest
> many doubts:
>     Mobility as an inherent feature
>     Route optimisation
>     MIPv6 includes features to minimize loss in-flight packets during
> handover
>         No foreign agents need to be deployed.
>     Address space.
>     QoS
>     Security
>
> So, can anybody tell me why the 3GPP2 are so reluctant about the IPv6?
>
> I would be very thankful.
>
> Jaime Dias
> __________________________________________
> Jaime Sousa Dias
> INESC Porto
> fone.: +351 22 2094258
> fax:+351 22 2084172
> Telecom & Multimedia Unit
> Porto, Portugal
> http://www.inescporto.pt/ <http://www.inescporto.pt/>
> http://telecom.inescn.pt <http://telecom.inescn.pt>
> __________________________________________
>